# Generated from prelands_rails-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name prelands_rails

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: Код, занимающийся валидацией и публикацией прелендов V4
License: MIT
URL: https://gitlab.com/c80609a/prelands_rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(mimemagic)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(rails) = 6.0.2.1
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(factory_bot_rails)
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-rails) >= 4.0
# BuildRequires: rubygem(rspec-rails) < 5
# BuildRequires: rubygem(rails-controller-testing)
# BuildRequires: rubygem(paperclip) = 5.0.0
# BuildRequires: rubygem(tzinfo-data)
BuildArch: noarch

%description
Код, занимающийся валидацией и публикацией прелендов V4.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.ci
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Makefile
%{gem_instdir}/bin
%{gem_instdir}/build_and_push.sh
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.dockerignore
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.local.yml
%{gem_instdir}/prelands_rails.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.3-1
- Initial package
